Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.hibernate.param
Class AbstractExplicitParameterSpecification  view AbstractExplicitParameterSpecification download AbstractExplicitParameterSpecification.java

java.lang.Object
  extended byorg.hibernate.param.AbstractExplicitParameterSpecification
All Implemented Interfaces:
ExplicitParameterSpecification, ParameterSpecification
Direct Known Subclasses:
NamedParameterSpecification, PositionalParameterSpecification

public abstract class AbstractExplicitParameterSpecification
extends java.lang.Object
implements ExplicitParameterSpecification

Convenience base class for explicitly defined query parameters.


Field Summary
private  org.hibernate.type.Type expectedType
           
private  int sourceColumn
           
private  int sourceLine
           
 
Constructor Summary
protected AbstractExplicitParameterSpecification(int sourceLine, int sourceColumn)
           
 
Method Summary
 org.hibernate.type.Type getExpectedType()
           
 int getSourceColumn()
           
 int getSourceLine()
           
 void setExpectedType(org.hibernate.type.Type expectedType)
           
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 
Methods inherited from interface org.hibernate.param.ParameterSpecification
bind, renderDisplayInfo
 

Field Detail

sourceLine

private final int sourceLine

sourceColumn

private final int sourceColumn

expectedType

private org.hibernate.type.Type expectedType
Constructor Detail

AbstractExplicitParameterSpecification

protected AbstractExplicitParameterSpecification(int sourceLine,
                                                 int sourceColumn)
Method Detail

getSourceLine

public int getSourceLine()
Specified by:
getSourceLine in interface ExplicitParameterSpecification

getSourceColumn

public int getSourceColumn()
Specified by:
getSourceColumn in interface ExplicitParameterSpecification

getExpectedType

public org.hibernate.type.Type getExpectedType()
Specified by:
getExpectedType in interface ParameterSpecification

setExpectedType

public void setExpectedType(org.hibernate.type.Type expectedType)
Specified by:
setExpectedType in interface ParameterSpecification